Index: c/src/exec/rtems/inline/asr.inl
===================================================================
--- c/src/exec/rtems/inline/asr.inl	(revision 107ce47b4b7be469696406948d2d2c1b01357b6b)
+++ c/src/exec/rtems/inline/asr.inl	(revision 1a8fde6ca27afea19faf9bf6487d8aa20b4a8d41)
@@ -24,4 +24,7 @@
  *  _ASR_Initialize
  *
+ *  DESCRIPTION:
+ *
+ *  This routine initializes the given RTEMS_ASR information record.
  */
 
@@ -42,4 +45,9 @@
  *  _ASR_Swap_signals
  *
+ *  DESCRIPTION:
+ *
+ *  This routine atomically swaps the pending and posted signal
+ *  sets.  This is done when the thread alters its mode in such a
+ *  way that the RTEMS_ASR disable/enable flag changes.
  */
 
@@ -62,4 +70,8 @@
  *  _ASR_Is_null_handler
  *
+ *  DESCRIPTION:
+ *
+ *  This function returns TRUE if the given asr_handler is NULL and
+ *  FALSE otherwise.
  */
 
@@ -75,4 +87,8 @@
  *  _ASR_Are_signals_pending
  *
+ *  DESCRIPTION:
+ *
+ *  This function returns TRUE if there are signals pending in the
+ *  given RTEMS_ASR information record and FALSE otherwise.
  */
 
@@ -88,4 +104,10 @@
  *  _ASR_Post_signals
  *
+ *  DESCRIPTION:
+ *
+ *  This routine posts the given signals into the signal_set
+ *  passed in.  The result is returned to the user in signal_set.
+ *
+ *  NOTE:  This must be implemented as a macro.
  */
 
Index: c/src/exec/rtems/inline/attr.inl
===================================================================
--- c/src/exec/rtems/inline/attr.inl	(revision 107ce47b4b7be469696406948d2d2c1b01357b6b)
+++ c/src/exec/rtems/inline/attr.inl	(revision 1a8fde6ca27afea19faf9bf6487d8aa20b4a8d41)
@@ -21,4 +21,9 @@
  *
  *  _Attributes_Set
+ *
+ *  DESCRIPTION:
+ *
+ *  This function sets the requested new_attributes in the attribute_set
+ *  passed in.  The result is returned to the user.
  */
 
@@ -34,4 +39,9 @@
  *
  *  _Attributes_Clear
+ *
+ *  DESCRIPTION:
+ *
+ *  This function clears the requested new_attributes in the attribute_set
+ *  passed in.  The result is returned to the user.
  */
 
@@ -48,4 +58,8 @@
  *  _Attributes_Is_floating_point
  *
+ *  DESCRIPTION:
+ *
+ *  This function returns TRUE if the floating point attribute is
+ *  enabled in the attribute_set and FALSE otherwise.
  */
 
@@ -61,4 +75,8 @@
  *  _Attributes_Is_global
  *
+ *  DESCRIPTION:
+ *
+ *  This function returns TRUE if the global object attribute is
+ *  enabled in the attribute_set and FALSE otherwise.
  */
 
@@ -74,4 +92,8 @@
  *  _Attributes_Is_priority
  *
+ *  DESCRIPTION:
+ *
+ *  This function returns TRUE if the priority attribute is
+ *  enabled in the attribute_set and FALSE otherwise.
  */
 
@@ -87,4 +109,8 @@
  *  _Attributes_Is_binary_semaphore
  *
+ *  DESCRIPTION:
+ *
+ *  This function returns TRUE if the binary semaphore attribute is
+ *  enabled in the attribute_set and FALSE otherwise.
  */
 
@@ -100,4 +126,8 @@
  *  _Attributes_Is_inherit_priority
  *
+ *  DESCRIPTION:
+ *
+ *  This function returns TRUE if the priority inheritance attribute
+ *  is enabled in the attribute_set and FALSE otherwise.
  */
 
@@ -113,4 +143,8 @@
  *  _Attributes_Is_priority_ceiling
  *
+ *  DESCRIPTION:
+ *
+ *  This function returns TRUE if the priority ceiling attribute
+ *  is enabled in the attribute_set and FALSE otherwise.
  */
  
Index: c/src/exec/rtems/inline/dpmem.inl
===================================================================
--- c/src/exec/rtems/inline/dpmem.inl	(revision 107ce47b4b7be469696406948d2d2c1b01357b6b)
+++ c/src/exec/rtems/inline/dpmem.inl	(revision 1a8fde6ca27afea19faf9bf6487d8aa20b4a8d41)
@@ -23,4 +23,8 @@
  *  _Dual_ported_memory_Allocate
  *
+ *  DESCRIPTION:
+ *
+ *  This routine allocates a port control block from the inactive chain
+ *  of free port control blocks.
  */
 
@@ -36,4 +40,8 @@
  *  _Dual_ported_memory_Free
  *
+ *  DESCRIPTION:
+ *
+ *  This routine frees a port control block to the inactive chain
+ *  of free port control blocks.
  */
 
@@ -49,4 +57,12 @@
  *  _Dual_ported_memory_Get
  *
+ *  DESCRIPTION:
+ *
+ *  This function maps port IDs to port control blocks.  If ID
+ *  corresponds to a local port, then it returns the_port control
+ *  pointer which maps to ID and location is set to OBJECTS_LOCAL.
+ *  Global ports are not supported, thus if ID  does not map to a
+ *  local port, location is set to OBJECTS_ERROR and the_port is
+ *  undefined.
  */
 
@@ -63,4 +79,8 @@
  *
  *  _Dual_ported_memory_Is_null
+ *
+ *  DESCRIPTION:
+ *
+ *  This function returns TRUE if the_port is NULL and FALSE otherwise.
  */
 
Index: c/src/exec/rtems/inline/event.inl
===================================================================
--- c/src/exec/rtems/inline/event.inl	(revision 107ce47b4b7be469696406948d2d2c1b01357b6b)
+++ c/src/exec/rtems/inline/event.inl	(revision 1a8fde6ca27afea19faf9bf6487d8aa20b4a8d41)
@@ -20,4 +20,8 @@
 /*
  *  Event_Manager_initialization
+ *
+ *  DESCRIPTION:
+ *
+ *  This routine performs the initialization necessary for this manager.
  */
 
Index: c/src/exec/rtems/inline/eventset.inl
===================================================================
--- c/src/exec/rtems/inline/eventset.inl	(revision 107ce47b4b7be469696406948d2d2c1b01357b6b)
+++ c/src/exec/rtems/inline/eventset.inl	(revision 1a8fde6ca27afea19faf9bf6487d8aa20b4a8d41)
@@ -20,4 +20,9 @@
  *
  *  _Event_sets_Is_empty
+ *
+ *  DESCRIPTION:
+ *
+ *  This function returns TRUE if on events are posted in the event_set,
+ *  and FALSE otherwise.
  */
 
@@ -32,4 +37,9 @@
  *
  *  _Event_sets_Post
+ *
+ *  DESCRIPTION:
+ *
+ *  This routine posts the given new_events into the event_set
+ *  passed in.  The result is returned to the user in event_set.
  */
 
@@ -45,4 +55,9 @@
  *
  *  _Event_sets_Get
+ *
+ *  DESCRIPTION:
+ *
+ *  This function returns the events in event_condition which are
+ *  set in event_set.
  */
 
@@ -58,4 +73,9 @@
  *
  *  _Event_sets_Clear
+ *
+ *  DESCRIPTION:
+ *
+ *  This function removes the events in mask from the event_set
+ *  passed in.  The result is returned to the user in event_set.
  */
 
Index: c/src/exec/rtems/inline/message.inl
===================================================================
--- c/src/exec/rtems/inline/message.inl	(revision 107ce47b4b7be469696406948d2d2c1b01357b6b)
+++ c/src/exec/rtems/inline/message.inl	(revision 1a8fde6ca27afea19faf9bf6487d8aa20b4a8d41)
@@ -24,4 +24,8 @@
  *  _Message_queue_Is_null
  *
+ *  DESCRIPTION:
+ *
+ *  This function places the_message at the rear of the outstanding
+ *  messages on the_message_queue.
  */
 
@@ -38,4 +42,8 @@
  *  _Message_queue_Free
  *
+ *  DESCRIPTION:
+ *
+ *  This routine deallocates a message queue control block into
+ *  the inactive chain of free message queue control blocks.
  */
 
@@ -51,4 +59,14 @@
  *  _Message_queue_Get
  *
+ *  DESCRIPTION:
+ *
+ *  This function maps message queue IDs to message queue control
+ *  blocks.  If ID corresponds to a local message queue, then it
+ *  returns the_message_queue control pointer which maps to ID
+ *  and location is set to OBJECTS_LOCAL.  If the message queue ID is
+ *  global and resides on a remote node, then location is set
+ *  to OBJECTS_REMOTE, and the_message_queue is undefined.
+ *  Otherwise, location is set to OBJECTS_ERROR and
+ *  the_message_queue is undefined.
  */
 
Index: c/src/exec/rtems/inline/modes.inl
===================================================================
--- c/src/exec/rtems/inline/modes.inl	(revision 107ce47b4b7be469696406948d2d2c1b01357b6b)
+++ c/src/exec/rtems/inline/modes.inl	(revision 1a8fde6ca27afea19faf9bf6487d8aa20b4a8d41)
@@ -20,18 +20,10 @@
 /*PAGE
  *
- *  RTEMS_INTERRUPT_LEVEL
- */
-
-STATIC INLINE unsigned32 RTEMS_INTERRUPT_LEVEL (
-  Modes_Control mode_set
-)
-{
-  return mode_set & RTEMS_INTERRUPT_MASK;
-}
-
-/*PAGE
- *
  *  _Modes_Mask_changed
  *
+ *  DESCRIPTION:
+ *
+ *  This function returns TRUE if any of the mode flags in mask
+ *  are set in mode_set, and FALSE otherwise.
  */
 
@@ -48,4 +40,8 @@
  *  _Modes_Is_asr_disabled
  *
+ *  DESCRIPTION:
+ *
+ *  This function returns TRUE if mode_set indicates that Asynchronous
+ *  Signal Processing is disabled, and FALSE otherwise.
  */
 
@@ -61,4 +57,8 @@
  *  _Modes_Is_preempt
  *
+ *  DESCRIPTION:
+ *
+ *  This function returns TRUE if mode_set indicates that preemption
+ *  is enabled, and FALSE otherwise.
  */
 
@@ -74,4 +74,8 @@
  *  _Modes_Is_timeslice
  *
+ *  DESCRIPTION:
+ *
+ *  This function returns TRUE if mode_set indicates that timeslicing
+ *  is enabled, and FALSE otherwise.
  */
 
@@ -87,4 +91,7 @@
  *  _Modes_Get_interrupt_level
  *
+ *  DESCRIPTION:
+ *
+ *  This function returns the interrupt level portion of the mode_set.
  */
 
@@ -100,4 +107,8 @@
  *  _Modes_Set_interrupt_level
  *
+ *  DESCRIPTION:
+ *
+ *  This routine sets the current interrupt level to that specified
+ *  in the mode_set.
  */
 
@@ -113,4 +124,10 @@
  *  _Modes_Change
  *
+ *  DESCRIPTION:
+ *
+ *  This routine changes the modes in old_mode_set indicated by
+ *  mask to the requested values in new_mode_set.  The resulting
+ *  mode set is returned in out_mode_set and the modes that changed
+ *  is returned in changed.
  */
 
Index: c/src/exec/rtems/inline/options.inl
===================================================================
--- c/src/exec/rtems/inline/options.inl	(revision 107ce47b4b7be469696406948d2d2c1b01357b6b)
+++ c/src/exec/rtems/inline/options.inl	(revision 1a8fde6ca27afea19faf9bf6487d8aa20b4a8d41)
@@ -22,4 +22,8 @@
  *  _Options_Is_no_wait
  *
+ *  DESCRIPTION:
+ *
+ *  This function returns TRUE if the RTEMS_NO_WAIT option is enabled in
+ *  option_set, and FALSE otherwise.
  */
 
@@ -35,4 +39,8 @@
  *  _Options_Is_any
  *
+ *  DESCRIPTION:
+ *
+ *  This function returns TRUE if the RTEMS_EVENT_ANY option is enabled in
+ *  OPTION_SET, and FALSE otherwise.
  */
 
Index: c/src/exec/rtems/inline/part.inl
===================================================================
--- c/src/exec/rtems/inline/part.inl	(revision 107ce47b4b7be469696406948d2d2c1b01357b6b)
+++ c/src/exec/rtems/inline/part.inl	(revision 1a8fde6ca27afea19faf9bf6487d8aa20b4a8d41)
@@ -22,4 +22,9 @@
  *  _Partition_Allocate_buffer
  *
+ *  DESCRIPTION:
+ *
+ *  This function attempts to allocate a buffer from the_partition.
+ *  If successful, it returns the address of the allocated buffer.
+ *  Otherwise, it returns NULL.
  */
 
@@ -35,4 +40,7 @@
  *  _Partition_Free_buffer
  *
+ *  DESCRIPTION:
+ *
+ *  This routine frees the_buffer to the_partition.
  */
 
@@ -49,4 +57,8 @@
  *  _Partition_Is_buffer_on_boundary
  *
+ *  DESCRIPTION:
+ *
+ *  This function returns TRUE if the_buffer is on a valid buffer
+ *  boundary for the_partition, and FALSE otherwise.
  */
 
@@ -70,4 +82,8 @@
  *  _Partition_Is_buffer_valid
  *
+ *  DESCRIPTION:
+ *
+ *  This function returns TRUE if the_buffer is a valid buffer from
+ *  the_partition, otherwise FALSE is returned.
  */
 
@@ -93,4 +109,9 @@
  *  _Partition_Is_buffer_size_aligned
  *
+ *  DESCRIPTION:
+ *
+ *  This function returns TRUE if the use of the specified buffer_size
+ *  will result in the allocation of buffers whose first byte is
+ *  properly aligned, and FALSE otherwise.
  */
 
@@ -106,4 +127,8 @@
  *  _Partition_Allocate
  *
+ *  DESCRIPTION:
+ *
+ *  This function allocates a partition control block from
+ *  the inactive chain of free partition control blocks.
  */
 
@@ -117,4 +142,8 @@
  *  _Partition_Free
  *
+ *  DESCRIPTION:
+ *
+ *  This routine frees a partition control block to the
+ *  inactive chain of free partition control blocks.
  */
 
@@ -130,4 +159,13 @@
  *  _Partition_Get
  *
+ *  DESCRIPTION:
+ *
+ *  This function maps partition IDs to partition control blocks.
+ *  If ID corresponds to a local partition, then it returns
+ *  the_partition control pointer which maps to ID and location
+ *  is set to OBJECTS_LOCAL.  If the partition ID is global and
+ *  resides on a remote node, then location is set to OBJECTS_REMOTE,
+ *  and the_partition is undefined.  Otherwise, location is set
+ *  to OBJECTS_ERROR and the_partition is undefined.
  */
 
@@ -145,4 +183,8 @@
  *  _Partition_Is_null
  *
+ *  DESCRIPTION:
+ *
+ *  This function returns TRUE if the_partition is NULL
+ *  and FALSE otherwise.
  */
 
Index: c/src/exec/rtems/inline/ratemon.inl
===================================================================
--- c/src/exec/rtems/inline/ratemon.inl	(revision 107ce47b4b7be469696406948d2d2c1b01357b6b)
+++ c/src/exec/rtems/inline/ratemon.inl	(revision 1a8fde6ca27afea19faf9bf6487d8aa20b4a8d41)
@@ -22,4 +22,8 @@
  *  _Rate_monotonic_Allocate
  *
+ *  DESCRIPTION:
+ *
+ *  This function allocates a period control block from
+ *  the inactive chain of free period control blocks.
  */
 
@@ -34,4 +38,8 @@
  *  _Rate_monotonic_Free
  *
+ *  DESCRIPTION:
+ *
+ *  This routine allocates a period control block from
+ *  the inactive chain of free period control blocks.
  */
 
@@ -47,4 +55,11 @@
  *  _Rate_monotonic_Get
  *
+ *  DESCRIPTION:
+ *
+ *  This function maps period IDs to period control blocks.
+ *  If ID corresponds to a local period, then it returns
+ *  the_period control pointer which maps to ID and location
+ *  is set to OBJECTS_LOCAL.  Otherwise, location is set
+ *  to OBJECTS_ERROR and the_period is undefined.
  */
 
@@ -62,4 +77,8 @@
  *  _Rate_monotonic_Is_active
  *
+ *  DESCRIPTION:
+ *
+ *  This function returns TRUE if the_period is in the ACTIVE state,
+ *  and FALSE otherwise.
  */
 
@@ -75,4 +94,8 @@
  *  _Rate_monotonic_Is_inactive
  *
+ *  DESCRIPTION:
+ *
+ *  This function returns TRUE if the_period is in the ACTIVE state,
+ *  and FALSE otherwise.
  */
 
@@ -88,4 +111,8 @@
  *  _Rate_monotonic_Is_expired
  *
+ *  DESCRIPTION:
+ *
+ *  This function returns TRUE if the_period is in the EXPIRED state,
+ *  and FALSE otherwise.
  */
 
@@ -101,4 +128,7 @@
  *  _Rate_monotonic_Is_null
  *
+ *  DESCRIPTION:
+ *
+ *  This function returns TRUE if the_period is NULL and FALSE otherwise.
  */
 
Index: c/src/exec/rtems/inline/region.inl
===================================================================
--- c/src/exec/rtems/inline/region.inl	(revision 107ce47b4b7be469696406948d2d2c1b01357b6b)
+++ c/src/exec/rtems/inline/region.inl	(revision 1a8fde6ca27afea19faf9bf6487d8aa20b4a8d41)
@@ -22,4 +22,8 @@
  *  _Region_Allocate
  *
+ *  DESCRIPTION:
+ *
+ *  This function allocates a region control block from
+ *  the inactive chain of free region control blocks.
  */
 
@@ -33,4 +37,8 @@
  *  _Region_Free
  *
+ *  DESCRIPTION:
+ *
+ *  This routine frees a region control block to the
+ *  inactive chain of free region control blocks.
  */
 
@@ -46,4 +54,11 @@
  *  _Region_Get
  *
+ *  DESCRIPTION:
+ *
+ *  This function maps region IDs to region control blocks.
+ *  If ID corresponds to a local region, then it returns
+ *  the_region control pointer which maps to ID and location
+ *  is set to OBJECTS_LOCAL.  Otherwise, location is set
+ *  to OBJECTS_ERROR and the_region is undefined.
  */
 
@@ -61,4 +76,9 @@
  *  _Region_Allocate_segment
  *
+ *  DESCRIPTION:
+ *
+ *  This function attempts to allocate a segment from the_region.
+ *  If successful, it returns the address of the allocated segment.
+ *  Otherwise, it returns NULL.
  */
 
@@ -75,4 +95,7 @@
  *  _Region_Free_segment
  *
+ *  DESCRIPTION:
+ *
+ *  This function frees the_segment to the_region.
  */
 
@@ -89,4 +112,7 @@
  *  _Region_Is_null
  *
+ *  DESCRIPTION:
+ *
+ *  This function returns TRUE if the_region is NULL and FALSE otherwise.
  */
 
Index: c/src/exec/rtems/inline/rtems/rtems/asr.inl
===================================================================
--- c/src/exec/rtems/inline/rtems/rtems/asr.inl	(revision 107ce47b4b7be469696406948d2d2c1b01357b6b)
+++ c/src/exec/rtems/inline/rtems/rtems/asr.inl	(revision 1a8fde6ca27afea19faf9bf6487d8aa20b4a8d41)
@@ -24,4 +24,7 @@
  *  _ASR_Initialize
  *
+ *  DESCRIPTION:
+ *
+ *  This routine initializes the given RTEMS_ASR information record.
  */
 
@@ -42,4 +45,9 @@
  *  _ASR_Swap_signals
  *
+ *  DESCRIPTION:
+ *
+ *  This routine atomically swaps the pending and posted signal
+ *  sets.  This is done when the thread alters its mode in such a
+ *  way that the RTEMS_ASR disable/enable flag changes.
  */
 
@@ -62,4 +70,8 @@
  *  _ASR_Is_null_handler
  *
+ *  DESCRIPTION:
+ *
+ *  This function returns TRUE if the given asr_handler is NULL and
+ *  FALSE otherwise.
  */
 
@@ -75,4 +87,8 @@
  *  _ASR_Are_signals_pending
  *
+ *  DESCRIPTION:
+ *
+ *  This function returns TRUE if there are signals pending in the
+ *  given RTEMS_ASR information record and FALSE otherwise.
  */
 
@@ -88,4 +104,10 @@
  *  _ASR_Post_signals
  *
+ *  DESCRIPTION:
+ *
+ *  This routine posts the given signals into the signal_set
+ *  passed in.  The result is returned to the user in signal_set.
+ *
+ *  NOTE:  This must be implemented as a macro.
  */
 
Index: c/src/exec/rtems/inline/rtems/rtems/attr.inl
===================================================================
--- c/src/exec/rtems/inline/rtems/rtems/attr.inl	(revision 107ce47b4b7be469696406948d2d2c1b01357b6b)
+++ c/src/exec/rtems/inline/rtems/rtems/attr.inl	(revision 1a8fde6ca27afea19faf9bf6487d8aa20b4a8d41)
@@ -21,4 +21,9 @@
  *
  *  _Attributes_Set
+ *
+ *  DESCRIPTION:
+ *
+ *  This function sets the requested new_attributes in the attribute_set
+ *  passed in.  The result is returned to the user.
  */
 
@@ -34,4 +39,9 @@
  *
  *  _Attributes_Clear
+ *
+ *  DESCRIPTION:
+ *
+ *  This function clears the requested new_attributes in the attribute_set
+ *  passed in.  The result is returned to the user.
  */
 
@@ -48,4 +58,8 @@
  *  _Attributes_Is_floating_point
  *
+ *  DESCRIPTION:
+ *
+ *  This function returns TRUE if the floating point attribute is
+ *  enabled in the attribute_set and FALSE otherwise.
  */
 
@@ -61,4 +75,8 @@
  *  _Attributes_Is_global
  *
+ *  DESCRIPTION:
+ *
+ *  This function returns TRUE if the global object attribute is
+ *  enabled in the attribute_set and FALSE otherwise.
  */
 
@@ -74,4 +92,8 @@
  *  _Attributes_Is_priority
  *
+ *  DESCRIPTION:
+ *
+ *  This function returns TRUE if the priority attribute is
+ *  enabled in the attribute_set and FALSE otherwise.
  */
 
@@ -87,4 +109,8 @@
  *  _Attributes_Is_binary_semaphore
  *
+ *  DESCRIPTION:
+ *
+ *  This function returns TRUE if the binary semaphore attribute is
+ *  enabled in the attribute_set and FALSE otherwise.
  */
 
@@ -100,4 +126,8 @@
  *  _Attributes_Is_inherit_priority
  *
+ *  DESCRIPTION:
+ *
+ *  This function returns TRUE if the priority inheritance attribute
+ *  is enabled in the attribute_set and FALSE otherwise.
  */
 
@@ -113,4 +143,8 @@
  *  _Attributes_Is_priority_ceiling
  *
+ *  DESCRIPTION:
+ *
+ *  This function returns TRUE if the priority ceiling attribute
+ *  is enabled in the attribute_set and FALSE otherwise.
  */
  
Index: c/src/exec/rtems/inline/rtems/rtems/dpmem.inl
===================================================================
--- c/src/exec/rtems/inline/rtems/rtems/dpmem.inl	(revision 107ce47b4b7be469696406948d2d2c1b01357b6b)
+++ c/src/exec/rtems/inline/rtems/rtems/dpmem.inl	(revision 1a8fde6ca27afea19faf9bf6487d8aa20b4a8d41)
@@ -23,4 +23,8 @@
  *  _Dual_ported_memory_Allocate
  *
+ *  DESCRIPTION:
+ *
+ *  This routine allocates a port control block from the inactive chain
+ *  of free port control blocks.
  */
 
@@ -36,4 +40,8 @@
  *  _Dual_ported_memory_Free
  *
+ *  DESCRIPTION:
+ *
+ *  This routine frees a port control block to the inactive chain
+ *  of free port control blocks.
  */
 
@@ -49,4 +57,12 @@
  *  _Dual_ported_memory_Get
  *
+ *  DESCRIPTION:
+ *
+ *  This function maps port IDs to port control blocks.  If ID
+ *  corresponds to a local port, then it returns the_port control
+ *  pointer which maps to ID and location is set to OBJECTS_LOCAL.
+ *  Global ports are not supported, thus if ID  does not map to a
+ *  local port, location is set to OBJECTS_ERROR and the_port is
+ *  undefined.
  */
 
@@ -63,4 +79,8 @@
  *
  *  _Dual_ported_memory_Is_null
+ *
+ *  DESCRIPTION:
+ *
+ *  This function returns TRUE if the_port is NULL and FALSE otherwise.
  */
 
Index: c/src/exec/rtems/inline/rtems/rtems/event.inl
===================================================================
--- c/src/exec/rtems/inline/rtems/rtems/event.inl	(revision 107ce47b4b7be469696406948d2d2c1b01357b6b)
+++ c/src/exec/rtems/inline/rtems/rtems/event.inl	(revision 1a8fde6ca27afea19faf9bf6487d8aa20b4a8d41)
@@ -20,4 +20,8 @@
 /*
  *  Event_Manager_initialization
+ *
+ *  DESCRIPTION:
+ *
+ *  This routine performs the initialization necessary for this manager.
  */
 
Index: c/src/exec/rtems/inline/rtems/rtems/eventset.inl
===================================================================
--- c/src/exec/rtems/inline/rtems/rtems/eventset.inl	(revision 107ce47b4b7be469696406948d2d2c1b01357b6b)
+++ c/src/exec/rtems/inline/rtems/rtems/eventset.inl	(revision 1a8fde6ca27afea19faf9bf6487d8aa20b4a8d41)
@@ -20,4 +20,9 @@
  *
  *  _Event_sets_Is_empty
+ *
+ *  DESCRIPTION:
+ *
+ *  This function returns TRUE if on events are posted in the event_set,
+ *  and FALSE otherwise.
  */
 
@@ -32,4 +37,9 @@
  *
  *  _Event_sets_Post
+ *
+ *  DESCRIPTION:
+ *
+ *  This routine posts the given new_events into the event_set
+ *  passed in.  The result is returned to the user in event_set.
  */
 
@@ -45,4 +55,9 @@
  *
  *  _Event_sets_Get
+ *
+ *  DESCRIPTION:
+ *
+ *  This function returns the events in event_condition which are
+ *  set in event_set.
  */
 
@@ -58,4 +73,9 @@
  *
  *  _Event_sets_Clear
+ *
+ *  DESCRIPTION:
+ *
+ *  This function removes the events in mask from the event_set
+ *  passed in.  The result is returned to the user in event_set.
  */
 
Index: c/src/exec/rtems/inline/rtems/rtems/message.inl
===================================================================
--- c/src/exec/rtems/inline/rtems/rtems/message.inl	(revision 107ce47b4b7be469696406948d2d2c1b01357b6b)
+++ c/src/exec/rtems/inline/rtems/rtems/message.inl	(revision 1a8fde6ca27afea19faf9bf6487d8aa20b4a8d41)
@@ -24,4 +24,8 @@
  *  _Message_queue_Is_null
  *
+ *  DESCRIPTION:
+ *
+ *  This function places the_message at the rear of the outstanding
+ *  messages on the_message_queue.
  */
 
@@ -38,4 +42,8 @@
  *  _Message_queue_Free
  *
+ *  DESCRIPTION:
+ *
+ *  This routine deallocates a message queue control block into
+ *  the inactive chain of free message queue control blocks.
  */
 
@@ -51,4 +59,14 @@
  *  _Message_queue_Get
  *
+ *  DESCRIPTION:
+ *
+ *  This function maps message queue IDs to message queue control
+ *  blocks.  If ID corresponds to a local message queue, then it
+ *  returns the_message_queue control pointer which maps to ID
+ *  and location is set to OBJECTS_LOCAL.  If the message queue ID is
+ *  global and resides on a remote node, then location is set
+ *  to OBJECTS_REMOTE, and the_message_queue is undefined.
+ *  Otherwise, location is set to OBJECTS_ERROR and
+ *  the_message_queue is undefined.
  */
 
Index: c/src/exec/rtems/inline/rtems/rtems/modes.inl
===================================================================
--- c/src/exec/rtems/inline/rtems/rtems/modes.inl	(revision 107ce47b4b7be469696406948d2d2c1b01357b6b)
+++ c/src/exec/rtems/inline/rtems/rtems/modes.inl	(revision 1a8fde6ca27afea19faf9bf6487d8aa20b4a8d41)
@@ -20,18 +20,10 @@
 /*PAGE
  *
- *  RTEMS_INTERRUPT_LEVEL
- */
-
-STATIC INLINE unsigned32 RTEMS_INTERRUPT_LEVEL (
-  Modes_Control mode_set
-)
-{
-  return mode_set & RTEMS_INTERRUPT_MASK;
-}
-
-/*PAGE
- *
  *  _Modes_Mask_changed
  *
+ *  DESCRIPTION:
+ *
+ *  This function returns TRUE if any of the mode flags in mask
+ *  are set in mode_set, and FALSE otherwise.
  */
 
@@ -48,4 +40,8 @@
  *  _Modes_Is_asr_disabled
  *
+ *  DESCRIPTION:
+ *
+ *  This function returns TRUE if mode_set indicates that Asynchronous
+ *  Signal Processing is disabled, and FALSE otherwise.
  */
 
@@ -61,4 +57,8 @@
  *  _Modes_Is_preempt
  *
+ *  DESCRIPTION:
+ *
+ *  This function returns TRUE if mode_set indicates that preemption
+ *  is enabled, and FALSE otherwise.
  */
 
@@ -74,4 +74,8 @@
  *  _Modes_Is_timeslice
  *
+ *  DESCRIPTION:
+ *
+ *  This function returns TRUE if mode_set indicates that timeslicing
+ *  is enabled, and FALSE otherwise.
  */
 
@@ -87,4 +91,7 @@
  *  _Modes_Get_interrupt_level
  *
+ *  DESCRIPTION:
+ *
+ *  This function returns the interrupt level portion of the mode_set.
  */
 
@@ -100,4 +107,8 @@
  *  _Modes_Set_interrupt_level
  *
+ *  DESCRIPTION:
+ *
+ *  This routine sets the current interrupt level to that specified
+ *  in the mode_set.
  */
 
@@ -113,4 +124,10 @@
  *  _Modes_Change
  *
+ *  DESCRIPTION:
+ *
+ *  This routine changes the modes in old_mode_set indicated by
+ *  mask to the requested values in new_mode_set.  The resulting
+ *  mode set is returned in out_mode_set and the modes that changed
+ *  is returned in changed.
  */
 
Index: c/src/exec/rtems/inline/rtems/rtems/options.inl
===================================================================
--- c/src/exec/rtems/inline/rtems/rtems/options.inl	(revision 107ce47b4b7be469696406948d2d2c1b01357b6b)
+++ c/src/exec/rtems/inline/rtems/rtems/options.inl	(revision 1a8fde6ca27afea19faf9bf6487d8aa20b4a8d41)
@@ -22,4 +22,8 @@
  *  _Options_Is_no_wait
  *
+ *  DESCRIPTION:
+ *
+ *  This function returns TRUE if the RTEMS_NO_WAIT option is enabled in
+ *  option_set, and FALSE otherwise.
  */
 
@@ -35,4 +39,8 @@
  *  _Options_Is_any
  *
+ *  DESCRIPTION:
+ *
+ *  This function returns TRUE if the RTEMS_EVENT_ANY option is enabled in
+ *  OPTION_SET, and FALSE otherwise.
  */
 
Index: c/src/exec/rtems/inline/rtems/rtems/part.inl
===================================================================
--- c/src/exec/rtems/inline/rtems/rtems/part.inl	(revision 107ce47b4b7be469696406948d2d2c1b01357b6b)
+++ c/src/exec/rtems/inline/rtems/rtems/part.inl	(revision 1a8fde6ca27afea19faf9bf6487d8aa20b4a8d41)
@@ -22,4 +22,9 @@
  *  _Partition_Allocate_buffer
  *
+ *  DESCRIPTION:
+ *
+ *  This function attempts to allocate a buffer from the_partition.
+ *  If successful, it returns the address of the allocated buffer.
+ *  Otherwise, it returns NULL.
  */
 
@@ -35,4 +40,7 @@
  *  _Partition_Free_buffer
  *
+ *  DESCRIPTION:
+ *
+ *  This routine frees the_buffer to the_partition.
  */
 
@@ -49,4 +57,8 @@
  *  _Partition_Is_buffer_on_boundary
  *
+ *  DESCRIPTION:
+ *
+ *  This function returns TRUE if the_buffer is on a valid buffer
+ *  boundary for the_partition, and FALSE otherwise.
  */
 
@@ -70,4 +82,8 @@
  *  _Partition_Is_buffer_valid
  *
+ *  DESCRIPTION:
+ *
+ *  This function returns TRUE if the_buffer is a valid buffer from
+ *  the_partition, otherwise FALSE is returned.
  */
 
@@ -93,4 +109,9 @@
  *  _Partition_Is_buffer_size_aligned
  *
+ *  DESCRIPTION:
+ *
+ *  This function returns TRUE if the use of the specified buffer_size
+ *  will result in the allocation of buffers whose first byte is
+ *  properly aligned, and FALSE otherwise.
  */
 
@@ -106,4 +127,8 @@
  *  _Partition_Allocate
  *
+ *  DESCRIPTION:
+ *
+ *  This function allocates a partition control block from
+ *  the inactive chain of free partition control blocks.
  */
 
@@ -117,4 +142,8 @@
  *  _Partition_Free
  *
+ *  DESCRIPTION:
+ *
+ *  This routine frees a partition control block to the
+ *  inactive chain of free partition control blocks.
  */
 
@@ -130,4 +159,13 @@
  *  _Partition_Get
  *
+ *  DESCRIPTION:
+ *
+ *  This function maps partition IDs to partition control blocks.
+ *  If ID corresponds to a local partition, then it returns
+ *  the_partition control pointer which maps to ID and location
+ *  is set to OBJECTS_LOCAL.  If the partition ID is global and
+ *  resides on a remote node, then location is set to OBJECTS_REMOTE,
+ *  and the_partition is undefined.  Otherwise, location is set
+ *  to OBJECTS_ERROR and the_partition is undefined.
  */
 
@@ -145,4 +183,8 @@
  *  _Partition_Is_null
  *
+ *  DESCRIPTION:
+ *
+ *  This function returns TRUE if the_partition is NULL
+ *  and FALSE otherwise.
  */
 
Index: c/src/exec/rtems/inline/rtems/rtems/ratemon.inl
===================================================================
--- c/src/exec/rtems/inline/rtems/rtems/ratemon.inl	(revision 107ce47b4b7be469696406948d2d2c1b01357b6b)
+++ c/src/exec/rtems/inline/rtems/rtems/ratemon.inl	(revision 1a8fde6ca27afea19faf9bf6487d8aa20b4a8d41)
@@ -22,4 +22,8 @@
  *  _Rate_monotonic_Allocate
  *
+ *  DESCRIPTION:
+ *
+ *  This function allocates a period control block from
+ *  the inactive chain of free period control blocks.
  */
 
@@ -34,4 +38,8 @@
  *  _Rate_monotonic_Free
  *
+ *  DESCRIPTION:
+ *
+ *  This routine allocates a period control block from
+ *  the inactive chain of free period control blocks.
  */
 
@@ -47,4 +55,11 @@
  *  _Rate_monotonic_Get
  *
+ *  DESCRIPTION:
+ *
+ *  This function maps period IDs to period control blocks.
+ *  If ID corresponds to a local period, then it returns
+ *  the_period control pointer which maps to ID and location
+ *  is set to OBJECTS_LOCAL.  Otherwise, location is set
+ *  to OBJECTS_ERROR and the_period is undefined.
  */
 
@@ -62,4 +77,8 @@
  *  _Rate_monotonic_Is_active
  *
+ *  DESCRIPTION:
+ *
+ *  This function returns TRUE if the_period is in the ACTIVE state,
+ *  and FALSE otherwise.
  */
 
@@ -75,4 +94,8 @@
  *  _Rate_monotonic_Is_inactive
  *
+ *  DESCRIPTION:
+ *
+ *  This function returns TRUE if the_period is in the ACTIVE state,
+ *  and FALSE otherwise.
  */
 
@@ -88,4 +111,8 @@
  *  _Rate_monotonic_Is_expired
  *
+ *  DESCRIPTION:
+ *
+ *  This function returns TRUE if the_period is in the EXPIRED state,
+ *  and FALSE otherwise.
  */
 
@@ -101,4 +128,7 @@
  *  _Rate_monotonic_Is_null
  *
+ *  DESCRIPTION:
+ *
+ *  This function returns TRUE if the_period is NULL and FALSE otherwise.
  */
 
Index: c/src/exec/rtems/inline/rtems/rtems/region.inl
===================================================================
--- c/src/exec/rtems/inline/rtems/rtems/region.inl	(revision 107ce47b4b7be469696406948d2d2c1b01357b6b)
+++ c/src/exec/rtems/inline/rtems/rtems/region.inl	(revision 1a8fde6ca27afea19faf9bf6487d8aa20b4a8d41)
@@ -22,4 +22,8 @@
  *  _Region_Allocate
  *
+ *  DESCRIPTION:
+ *
+ *  This function allocates a region control block from
+ *  the inactive chain of free region control blocks.
  */
 
@@ -33,4 +37,8 @@
  *  _Region_Free
  *
+ *  DESCRIPTION:
+ *
+ *  This routine frees a region control block to the
+ *  inactive chain of free region control blocks.
  */
 
@@ -46,4 +54,11 @@
  *  _Region_Get
  *
+ *  DESCRIPTION:
+ *
+ *  This function maps region IDs to region control blocks.
+ *  If ID corresponds to a local region, then it returns
+ *  the_region control pointer which maps to ID and location
+ *  is set to OBJECTS_LOCAL.  Otherwise, location is set
+ *  to OBJECTS_ERROR and the_region is undefined.
  */
 
@@ -61,4 +76,9 @@
  *  _Region_Allocate_segment
  *
+ *  DESCRIPTION:
+ *
+ *  This function attempts to allocate a segment from the_region.
+ *  If successful, it returns the address of the allocated segment.
+ *  Otherwise, it returns NULL.
  */
 
@@ -75,4 +95,7 @@
  *  _Region_Free_segment
  *
+ *  DESCRIPTION:
+ *
+ *  This function frees the_segment to the_region.
  */
 
@@ -89,4 +112,7 @@
  *  _Region_Is_null
  *
+ *  DESCRIPTION:
+ *
+ *  This function returns TRUE if the_region is NULL and FALSE otherwise.
  */
 
Index: c/src/exec/rtems/inline/rtems/rtems/sem.inl
===================================================================
--- c/src/exec/rtems/inline/rtems/rtems/sem.inl	(revision 107ce47b4b7be469696406948d2d2c1b01357b6b)
+++ c/src/exec/rtems/inline/rtems/rtems/sem.inl	(revision 1a8fde6ca27afea19faf9bf6487d8aa20b4a8d41)
@@ -22,4 +22,8 @@
  *  _Semaphore_Allocate
  *
+ *  DESCRIPTION:
+ *
+ *  This function allocates a semaphore control block from
+ *  the inactive chain of free semaphore control blocks.
  */
 
@@ -33,4 +37,8 @@
  *  _Semaphore_Free
  *
+ *  DESCRIPTION:
+ *
+ *  This routine frees a semaphore control block to the
+ *  inactive chain of free semaphore control blocks.
  */
 
@@ -46,4 +54,13 @@
  *  _Semaphore_Get
  *
+ *  DESCRIPTION:
+ *
+ *  This function maps semaphore IDs to semaphore control blocks.
+ *  If ID corresponds to a local semaphore, then it returns
+ *  the_semaphore control pointer which maps to ID and location
+ *  is set to OBJECTS_LOCAL.  if the semaphore ID is global and
+ *  resides on a remote node, then location is set to OBJECTS_REMOTE,
+ *  and the_semaphore is undefined.  Otherwise, location is set
+ *  to OBJECTS_ERROR and the_semaphore is undefined.
  */
 
@@ -61,4 +78,7 @@
  *  _Semaphore_Is_null
  *
+ *  DESCRIPTION:
+ *
+ *  This function returns TRUE if the_semaphore is NULL and FALSE otherwise.
  */
 
Index: c/src/exec/rtems/inline/rtems/rtems/status.inl
===================================================================
--- c/src/exec/rtems/inline/rtems/rtems/status.inl	(revision 107ce47b4b7be469696406948d2d2c1b01357b6b)
+++ c/src/exec/rtems/inline/rtems/rtems/status.inl	(revision 1a8fde6ca27afea19faf9bf6487d8aa20b4a8d41)
@@ -22,4 +22,8 @@
  *  rtems_is_status_successful
  *
+ *  DESCRIPTION:
+ *
+ *  This function returns TRUE if the status code is equal to RTEMS_SUCCESSFUL,
+ *  and FALSE otherwise.
  */
 
@@ -35,4 +39,8 @@
  *  rtems_are_statuses_equal
  *
+ *  DESCRIPTION:
+ *
+ *  This function returns TRUE if the status code1 is equal to code2,
+ *  and FALSE otherwise.
  */
 
Index: c/src/exec/rtems/inline/rtems/rtems/support.inl
===================================================================
--- c/src/exec/rtems/inline/rtems/rtems/support.inl	(revision 107ce47b4b7be469696406948d2d2c1b01357b6b)
+++ c/src/exec/rtems/inline/rtems/rtems/support.inl	(revision 1a8fde6ca27afea19faf9bf6487d8aa20b4a8d41)
@@ -22,4 +22,7 @@
  *  rtems_is_name_valid
  *
+ *  DESCRIPTION:
+ *
+ *  This function returns TRUE if the name is valid, and FALSE otherwise.
  */
 
@@ -35,4 +38,8 @@
  *  rtems_name_to_characters
  *
+ *  DESCRIPTION:
+ *
+ *  This function breaks the object name into the four component
+ *  characters C1, C2, C3, and C4.
  */
 
Index: c/src/exec/rtems/inline/rtems/rtems/tasks.inl
===================================================================
--- c/src/exec/rtems/inline/rtems/rtems/tasks.inl	(revision 107ce47b4b7be469696406948d2d2c1b01357b6b)
+++ c/src/exec/rtems/inline/rtems/rtems/tasks.inl	(revision 1a8fde6ca27afea19faf9bf6487d8aa20b4a8d41)
@@ -22,4 +22,8 @@
  *  _RTEMS_tasks_Allocate
  *
+ *  DESCRIPTION:
+ *
+ *  This function allocates a task control block from
+ *  the inactive chain of free task control blocks.
  */
 
@@ -33,4 +37,8 @@
  *  _RTEMS_tasks_Free
  *
+ *  DESCRIPTION:
+ *
+ *  This routine frees a task control block to the
+ *  inactive chain of free task control blocks.
  */
 
@@ -48,4 +56,8 @@
  *
  *  _RTEMS_tasks_Priority_to_Core
+ *
+ *  DESCRIPTION:
+ *
+ *  This function converts an RTEMS API priority into a core priority.
  */
  
@@ -61,4 +73,8 @@
  *  _RTEMS_tasks_Priority_is_valid
  *
+ *  DESCRIPTION:
+ *
+ *  This function returns TRUE if the_priority is a valid user task priority
+ *  and FALSE otherwise.
  */
  
Index: c/src/exec/rtems/inline/rtems/rtems/timer.inl
===================================================================
--- c/src/exec/rtems/inline/rtems/rtems/timer.inl	(revision 107ce47b4b7be469696406948d2d2c1b01357b6b)
+++ c/src/exec/rtems/inline/rtems/rtems/timer.inl	(revision 1a8fde6ca27afea19faf9bf6487d8aa20b4a8d41)
@@ -22,4 +22,8 @@
  *  _Timer_Allocate
  *
+ *  DESCRIPTION:
+ *
+ *  This function allocates a timer control block from
+ *  the inactive chain of free timer control blocks.
  */
 
@@ -33,4 +37,8 @@
  *  _Timer_Free
  *
+ *  DESCRIPTION:
+ *
+ *  This routine frees a timer control block to the
+ *  inactive chain of free timer control blocks.
  */
 
@@ -46,4 +54,11 @@
  *  _Timer_Get
  *
+ *  DESCRIPTION:
+ *
+ *  This function maps timer IDs to timer control blocks.
+ *  If ID corresponds to a local timer, then it returns
+ *  the timer control pointer which maps to ID and location
+ *  is set to OBJECTS_LOCAL.  Otherwise, location is set
+ *  to OBJECTS_ERROR and the returned value is undefined.
  */
 
@@ -61,4 +76,8 @@
  *  _Timer_Is_interval_class
  *
+ *  DESCRIPTION:
+ *
+ *  This function returns TRUE if the class is that of an INTERVAL
+ *  timer, and FALSE otherwise.
  */
 
@@ -74,4 +93,8 @@
  *  _Timer_Is_time_of_day_class
  *
+ *  DESCRIPTION:
+ *
+ *  This function returns TRUE if the class is that of an INTERVAL
+ *  timer, and FALSE otherwise.
  */
 
@@ -87,4 +110,8 @@
  *  _Timer_Is_dormant_class
  *
+ *  DESCRIPTION:
+ *
+ *  This function returns TRUE if the class is that of a DORMANT
+ *  timer, and FALSE otherwise.
  */
 
@@ -100,4 +127,7 @@
  *  _Timer_Is_null
  *
+ *  DESCRIPTION:
+ *
+ *  This function returns TRUE if the_timer is NULL and FALSE otherwise.
  */
 
Index: c/src/exec/rtems/inline/sem.inl
===================================================================
--- c/src/exec/rtems/inline/sem.inl	(revision 107ce47b4b7be469696406948d2d2c1b01357b6b)
+++ c/src/exec/rtems/inline/sem.inl	(revision 1a8fde6ca27afea19faf9bf6487d8aa20b4a8d41)
@@ -22,4 +22,8 @@
  *  _Semaphore_Allocate
  *
+ *  DESCRIPTION:
+ *
+ *  This function allocates a semaphore control block from
+ *  the inactive chain of free semaphore control blocks.
  */
 
@@ -33,4 +37,8 @@
  *  _Semaphore_Free
  *
+ *  DESCRIPTION:
+ *
+ *  This routine frees a semaphore control block to the
+ *  inactive chain of free semaphore control blocks.
  */
 
@@ -46,4 +54,13 @@
  *  _Semaphore_Get
  *
+ *  DESCRIPTION:
+ *
+ *  This function maps semaphore IDs to semaphore control blocks.
+ *  If ID corresponds to a local semaphore, then it returns
+ *  the_semaphore control pointer which maps to ID and location
+ *  is set to OBJECTS_LOCAL.  if the semaphore ID is global and
+ *  resides on a remote node, then location is set to OBJECTS_REMOTE,
+ *  and the_semaphore is undefined.  Otherwise, location is set
+ *  to OBJECTS_ERROR and the_semaphore is undefined.
  */
 
@@ -61,4 +78,7 @@
  *  _Semaphore_Is_null
  *
+ *  DESCRIPTION:
+ *
+ *  This function returns TRUE if the_semaphore is NULL and FALSE otherwise.
  */
 
Index: c/src/exec/rtems/inline/status.inl
===================================================================
--- c/src/exec/rtems/inline/status.inl	(revision 107ce47b4b7be469696406948d2d2c1b01357b6b)
+++ c/src/exec/rtems/inline/status.inl	(revision 1a8fde6ca27afea19faf9bf6487d8aa20b4a8d41)
@@ -22,4 +22,8 @@
  *  rtems_is_status_successful
  *
+ *  DESCRIPTION:
+ *
+ *  This function returns TRUE if the status code is equal to RTEMS_SUCCESSFUL,
+ *  and FALSE otherwise.
  */
 
@@ -35,4 +39,8 @@
  *  rtems_are_statuses_equal
  *
+ *  DESCRIPTION:
+ *
+ *  This function returns TRUE if the status code1 is equal to code2,
+ *  and FALSE otherwise.
  */
 
Index: c/src/exec/rtems/inline/support.inl
===================================================================
--- c/src/exec/rtems/inline/support.inl	(revision 107ce47b4b7be469696406948d2d2c1b01357b6b)
+++ c/src/exec/rtems/inline/support.inl	(revision 1a8fde6ca27afea19faf9bf6487d8aa20b4a8d41)
@@ -22,4 +22,7 @@
  *  rtems_is_name_valid
  *
+ *  DESCRIPTION:
+ *
+ *  This function returns TRUE if the name is valid, and FALSE otherwise.
  */
 
@@ -35,4 +38,8 @@
  *  rtems_name_to_characters
  *
+ *  DESCRIPTION:
+ *
+ *  This function breaks the object name into the four component
+ *  characters C1, C2, C3, and C4.
  */
 
Index: c/src/exec/rtems/inline/tasks.inl
===================================================================
--- c/src/exec/rtems/inline/tasks.inl	(revision 107ce47b4b7be469696406948d2d2c1b01357b6b)
+++ c/src/exec/rtems/inline/tasks.inl	(revision 1a8fde6ca27afea19faf9bf6487d8aa20b4a8d41)
@@ -22,4 +22,8 @@
  *  _RTEMS_tasks_Allocate
  *
+ *  DESCRIPTION:
+ *
+ *  This function allocates a task control block from
+ *  the inactive chain of free task control blocks.
  */
 
@@ -33,4 +37,8 @@
  *  _RTEMS_tasks_Free
  *
+ *  DESCRIPTION:
+ *
+ *  This routine frees a task control block to the
+ *  inactive chain of free task control blocks.
  */
 
@@ -48,4 +56,8 @@
  *
  *  _RTEMS_tasks_Priority_to_Core
+ *
+ *  DESCRIPTION:
+ *
+ *  This function converts an RTEMS API priority into a core priority.
  */
  
@@ -61,4 +73,8 @@
  *  _RTEMS_tasks_Priority_is_valid
  *
+ *  DESCRIPTION:
+ *
+ *  This function returns TRUE if the_priority is a valid user task priority
+ *  and FALSE otherwise.
  */
  
Index: c/src/exec/rtems/inline/timer.inl
===================================================================
--- c/src/exec/rtems/inline/timer.inl	(revision 107ce47b4b7be469696406948d2d2c1b01357b6b)
+++ c/src/exec/rtems/inline/timer.inl	(revision 1a8fde6ca27afea19faf9bf6487d8aa20b4a8d41)
@@ -22,4 +22,8 @@
  *  _Timer_Allocate
  *
+ *  DESCRIPTION:
+ *
+ *  This function allocates a timer control block from
+ *  the inactive chain of free timer control blocks.
  */
 
@@ -33,4 +37,8 @@
  *  _Timer_Free
  *
+ *  DESCRIPTION:
+ *
+ *  This routine frees a timer control block to the
+ *  inactive chain of free timer control blocks.
  */
 
@@ -46,4 +54,11 @@
  *  _Timer_Get
  *
+ *  DESCRIPTION:
+ *
+ *  This function maps timer IDs to timer control blocks.
+ *  If ID corresponds to a local timer, then it returns
+ *  the timer control pointer which maps to ID and location
+ *  is set to OBJECTS_LOCAL.  Otherwise, location is set
+ *  to OBJECTS_ERROR and the returned value is undefined.
  */
 
@@ -61,4 +76,8 @@
  *  _Timer_Is_interval_class
  *
+ *  DESCRIPTION:
+ *
+ *  This function returns TRUE if the class is that of an INTERVAL
+ *  timer, and FALSE otherwise.
  */
 
@@ -74,4 +93,8 @@
  *  _Timer_Is_time_of_day_class
  *
+ *  DESCRIPTION:
+ *
+ *  This function returns TRUE if the class is that of an INTERVAL
+ *  timer, and FALSE otherwise.
  */
 
@@ -87,4 +110,8 @@
  *  _Timer_Is_dormant_class
  *
+ *  DESCRIPTION:
+ *
+ *  This function returns TRUE if the class is that of a DORMANT
+ *  timer, and FALSE otherwise.
  */
 
@@ -100,4 +127,7 @@
  *  _Timer_Is_null
  *
+ *  DESCRIPTION:
+ *
+ *  This function returns TRUE if the_timer is NULL and FALSE otherwise.
  */
 
